Main Page Widgets Namespaces Book

# Gtk::MenuToolButton Class Reference
[Widgets]

Inheritance diagram for Gtk::MenuToolButton:

[legend]

List of all members.

## Detailed Description

A Gtk::ToolItem containing a toggle button.

A MenuToolButton is a Gtk::ToolItem that contains a menu.

## Public Member Functions

const Menu* | get_menu () const
| Gets the Gtk::Menu associated with Gtk::MenuToolButton.
Menu* | get_menu ()
| Gets the Gtk::Menu associated with Gtk::MenuToolButton.
const GtkMenuToolButton* | gobj () const
| Provides access to the underlying C GtkObject.
GtkMenuToolButton* | gobj ()
| Provides access to the underlying C GtkObject.
| MenuToolButton (Widget& icon_widget, const Glib::ustring& label=Glib::ustring())
| Creates a new MenuToolButton with an image.
| MenuToolButton (const Glib::ustring& label)
| Creates a new MenuToolButton with a label.
| MenuToolButton (const Gtk::StockID& stock_id)
| Creates a new MenuToolButton from a StockID.
| MenuToolButton ()
| Creates a new MenuToolButton.
Glib::PropertyProxy_ReadOnly <Menu*> | property_menu () const
| The dropdown menu.
Glib::PropertyProxy<Menu*> | property_menu ()
| The dropdown menu.
void | set_arrow_tooltip (Tooltips& tooltips, const Glib::ustring& tip_text, const Glib::ustring& tip_private)
| Sets the Gtk::Tooltips object to be used for arrow button which pops up the menu.
void | set_arrow_tooltip_markup (const Glib::ustring& markup)
| Sets the tooltip markup text to be used as tooltip for the arrow button which pops up the menu.
void | set_arrow_tooltip_text (const Glib::ustring& text)
| Sets the tooltip text to be used as tooltip for the arrow button which pops up the menu.
void | set_menu (Menu& menu)
| Sets the Gtk::Menu that is popped up when the user clicks on the arrow.
Glib::SignalProxy0<void> | signal_show_menu ()
virtual | ~MenuToolButton ()

## Protected Member Functions

virtual void | on_show_menu ()

## Related Functions

(Note that these are not member functions.)
Gtk::MenuToolButton* | wrap (GtkMenuToolButton* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Gtk::MenuToolButton::~MenuToolButton | ( |  | ) | `[virtual]`

Gtk::MenuToolButton::MenuToolButton | ( |  | ) |

Creates a new MenuToolButton.

Gtk::MenuToolButton::MenuToolButton | ( | const Gtk::StockID& | stock_id | ) | `[explicit]`

Creates a new MenuToolButton from a StockID.

The MenuToolButton will be created according to the stock_id properties.

Parameters:

  | stock_id | The StockID which determines the look of the MenuToolButton.

Gtk::MenuToolButton::MenuToolButton | ( | const Glib::ustring & | label | ) | `[explicit]`

Creates a new MenuToolButton with a label.

The MenuToolButton will have the label label.

Parameters:

  | label | The string used to display the label for this MenuToolButton.

Gtk::MenuToolButton::MenuToolButton | ( | Widget& | icon_widget,
|  | const Glib::ustring & | label = `Glib::ustring()` |
| ) |  |  | `[explicit]`

Creates a new MenuToolButton with an image.

The MenuToolButton will have the label label and an image widget icon_widget.

Parameters:

  | icon_widget | The widget placed as the MenuToolButton's icon.
  | label | The string used to display the label for this MenuToolButton.

## Member Function Documentation

const Menu* Gtk::MenuToolButton::get_menu | ( |  | ) | const

Gets the Gtk::Menu associated with Gtk::MenuToolButton.

Returns:
  The Gtk::Menu associated with Gtk::MenuToolButton

Since gtkmm 2.6:

Menu* Gtk::MenuToolButton::get_menu | ( |  | ) |

Gets the Gtk::Menu associated with Gtk::MenuToolButton.

Returns:
  The Gtk::Menu associated with Gtk::MenuToolButton

Since gtkmm 2.6:

const GtkMenuToolButton* Gtk::MenuToolButton::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::ToolButton.

GtkMenuToolButton* Gtk::MenuToolButton::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::ToolButton.

virtual void Gtk::MenuToolButton::on_show_menu | ( |  | ) | `[protected, virtual]`

Glib::PropertyProxy_ReadOnly<Menu*> Gtk::MenuToolButton::property_menu | ( |  | ) | const

The dropdown menu.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Menu*> Gtk::MenuToolButton::property_menu | ( |  | ) |

The dropdown menu.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Gtk::MenuToolButton::set_arrow_tooltip | ( | Tooltips& | tooltips,
|  | const Glib::ustring & | tip_text,
|  | const Glib::ustring & | tip_private |
| ) |  |  |

Sets the Gtk::Tooltips object to be used for arrow button which pops up the menu.

See Gtk::ToolItem::set_tooltip() for setting a tooltip on the whole Gtk::MenuToolButton.

Since gtkmm 2.6:

Deprecated: 2.12: Use set_arrow_tooltip_text() instead.

Deprecated:
  Use set_arrow_tooltip_text() or set_arrow_tooltip_markup() instead

Parameters:

  | tooltips | The Gtk::Tooltips object to be used.
  | tip_text | Text to be used as tooltip text for tool_item.
  | tip_private | Text to be used as private tooltip text.

void Gtk::MenuToolButton::set_arrow_tooltip_markup | ( | const Glib::ustring & | markup | ) |

Sets the tooltip markup text to be used as tooltip for the arrow button which pops up the menu.

See Gtk::ToolItem::set_tooltip() for setting a tooltip on the whole Gtk::MenuToolButton.

Since gtkmm 2.12:

Parameters:

  | markup | Markup text to be used as tooltip text for button's arrow button.

void Gtk::MenuToolButton::set_arrow_tooltip_text | ( | const Glib::ustring & | text | ) |

Sets the tooltip text to be used as tooltip for the arrow button which pops up the menu.

See Gtk::ToolItem::set_tooltip() for setting a tooltip on the whole Gtk::MenuToolButton.

Since gtkmm 2.12:

Parameters:

  | text | Text to be used as tooltip text for button's arrow button.

void Gtk::MenuToolButton::set_menu | ( | Menu& | menu | ) |

Sets the Gtk::Menu that is popped up when the user clicks on the arrow.

If menu is `0`, the arrow button becomes insensitive.

Since gtkmm 2.6:

Parameters:

  | menu | The Gtk::Menu associated with Gtk::MenuToolButton.

Glib::SignalProxy0< void > Gtk::MenuToolButton::signal_show_menu | ( |  | ) |

Prototype:
  `void on_my_show_menu()`

## Friends And Related Function Documentation

Gtk::MenuToolButton* wrap | ( | GtkMenuToolButton * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- menutoolbutton.h